<div class="btnAcrossPageName">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'partnership.pns-contract.label.importApprove' | translate}}"
             *ngIf="objFunction?.approve"
             mbButtonTextColor="#141ED2" (click)="doImportApproveData()"></mb-button>
  <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'partnership.pns-contract.label.importCreate' | translate}}"
             *ngIf="objFunction?.create"
             mbButtonTextColor="#141ED2" (click)="doImportCreateData()"></mb-button>
  <mb-button *ngIf="objFunction?.create"
             mbButtonSize="MEDIUM"
             mbButtonAvailableStyle="ADD_NEW"
             mbButtonText="{{'partnership.pns-contract.label.createOffer' | translate}}"
             (click)="openAddModal()"
  ></mb-button>
</div>

<div class="basicSearch">
  <app-loading *ngIf="isLoadingPage"></app-loading>

  <!-- Form Search -->
  <form nz-form [formGroup]="form" style="margin-bottom: 8px">
    <div nz-row [nzGutter]="[30,30]">
      <!--    Form tìm kiếm -->
      <!--Đơn vị-->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <org-data-picker
          mbLabelText="{{'partnership.pns-contract.searchForm.organization' | translate}}"
          formControlName='orgId'
          [scope]="scope"
          [functionCode]="functionCode"
        >
        </org-data-picker>
      </div>

      <!-- Mã nhân viên -->
      <div nz-col [nzXs]="12" [nzLg]="6">
        <mb-input-text
          formControlName="employeeCode"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
          mbLabelText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
        ></mb-input-text>
      </div>

      <!-- Tên nhân viên -->
      <div nz-col [nzXs]="12" [nzLg]="6">
        <mb-input-text
          formControlName="empName"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
          mbLabelText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
        ></mb-input-text>
      </div>

      <!-- Trạng thái -->
      <div nz-col [nzXs]="12" [nzLg]="6">
        <mb-select-check-able
          [mbShowAction]="false"
          [mbDataSelects]="liquidationStatus"
          (mbEventEmit)="setFormValue($event, 'status')"
          formControlName="status"
          mbPlaceholder="{{'partnership.pns-contract.searchForm.status' | translate }}"
          mbLabelText="{{'partnership.pns-contract.searchForm.status' | translate}}"
        ></mb-select-check-able>
      </div>

      <!--Đối tượng-->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able
          [mbKeyValueStringType]="true"
          [mbShowAction]="false"
          mbPlaceholder="{{'partnership.pns-contract.searchForm.employeeType' | translate}}"
          [mbDataSelects]='listEmpTypeCode'
          mbLabelText="{{'partnership.pns-contract.searchForm.employeeType' | translate}}"
          (mbEventEmit)="setFormValue($event, 'empTypeCodes')"
          formControlName='empTypeCodes'></mb-select-check-able>
      </div>

      <!--Khu vực-->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able formControlName='regionCodes'
                              [mbKeyValueStringType]="true"
                              [mbShowAction]="false"
                              [mbDataSelects]='listOrgRegions'
                              (mbEventEmit)="setFormValue($event, 'regionCodes')"
                              mbPlaceholder="{{'partnership.pns-contract.searchForm.orgRegions' | translate }}"
                              mbLabelText="{{'partnership.pns-contract.searchForm.orgRegions' | translate}}"></mb-select-check-able>
      </div>

      <!--line-->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able formControlName='lineIds'
                              mbKeyLabel="pgrName"
                              mbKeyValue="pgrId"
                              [mbDataSelects]='listLine'
                              [mbShowAction]="false"
                              (mbEventEmit)="setFormValue($event, 'lineIds')"
                              mbPlaceholder="{{'partnership.pns-contract.searchForm.line' | translate }}"
                              mbLabelText="{{'partnership.pns-contract.searchForm.line' | translate}}"></mb-select-check-able>
      </div>

      <!--Nhóm vị trí -->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able formControlName='positionGroupIds'
                              mbKeyLabel="pgrName"
                              mbKeyValue="pgrId"
                              [mbShowAction]="false"
                              [mbDataSelects]='listPosition'
                              (mbEventEmit)="setFormValue($event, 'positionGroupIds')"
                              mbPlaceholder="{{'partnership.pns-contract.searchForm.positionGroup' | translate }}"
                              mbLabelText="{{'partnership.pns-contract.searchForm.positionGroup' | translate}}"></mb-select-check-able>
      </div>

      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="fromDate"
          mbLabelText="{{'partnership.pns-contract.searchForm.lastWorkingFromDate' | translate}}"
          [mbType]="form.controls['fromDate'].errors ? 'error' : 'default'"
          [mbShowError]="form.controls['fromDate'].errors !== null"
          [mbErrors]="form.controls['fromDate'].errors"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.lastWorkingFromDate' | translate}}"
        >
        </mb-date-picker>
      </div>


      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="toDate" mbLabelText="{{'partnership.pns-contract.searchForm.lastWorkingToDate' | translate}}"
          [mbType]="form.controls['toDate'].errors ? 'error' : 'default'"
          [mbShowError]="form.controls['toDate'].errors !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[{ errorName: 'toDateNotAfterFromDate', errorDescription: 'partnership.pns-contract.msg.toDateNotAfterFromDate' | translate: {'param': 'partnership.pns-contract.searchForm.lastWorkingToDate' | translate }}]"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.lastWorkingToDate' | translate}}"
        >
        </mb-date-picker>
      </div>

      <!--    End Form tìm kiếm-->
    </div>
  </form>
  <!--End: Form Search -->

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'partnership.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>


<div class="search__result">
  <mb-table-merge-cell-wrap>
    <div class="headerTableSelect">
      <mb-button *ngIf="objFunction?.approve"
                 (click)='onApprovalAll()'
                 mbButtonSize='SMALL'
                 mbButtonAvailableStyle='PRIMARY'
                 mbButtonText="{{'partnership.pns-contract.label.approval' | translate}}"
                 [mbIsDisable]='listLiquidationId.length === 0'
      ></mb-button>
    </div>
    <div>
      <p *ngIf="listLiquidationId.length > 0"
         style="margin: 0">{{'partnership.pns-contract.label.selected' | translate}}: {{listLiquidationId.length}}</p>
    </div>
    <mb-table-merge-cell
      (changePageNum)="doSearch($event)"
      [tableConfig]="tableConfig"
      [dataList]="dataTable"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>


<!--Hành động-->
<ng-template #actionTmpl let-liquidationId="liquidationId" let-status='status'>
  <em nz-icon
      class="menu__item--btn"
      nz-button
      nzType="more"
      nzTheme="outline"
      nzTrigger="click"
      nz-dropdown
      [nzClickHide]="false"
      [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu class="btnListWrap">
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="openModalEdit(liquidationId)"
        *ngIf="(status === 0 || status === 1 || status === 3)"
        [nzDisabled]="!objFunction?.edit"
      >
        <div class="menu__item">
          <em nz-icon nzType="edit" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.edit' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="onApproval(liquidationId)"
        [nzDisabled]='!(status === 1 && objFunction?.approve)'
        *ngIf="(status === 1 || status === 3)"
      >
        <div class="menu__item">
          <em nz-icon nzType="send" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.approval' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="openModalEdit(liquidationId)"
        [nzDisabled]="!(status === 1 && objFunction?.approve)"
        *ngIf="(status === 1)"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.consultationsRequest' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="onExportFile(liquidationId, 'bang-tinh-che-do')"
        [nzDisabled]="(status === 0 && !objFunction?.approve)"
      >
        <div class="menu__item">
          <em nz-icon nzType="download" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.exportFileAllowance' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="onExportFile(liquidationId, 'thong-bao-cham-dut-hd')"
        [nzDisabled]="(status === 0 && !objFunction?.approve)"
      >
        <div class="menu__item">
          <em nz-icon nzType="download" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.exportFileNotification' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="openModalEdit(liquidationId, true)"
        *ngIf="(status === 2)"
        [nzDisabled]="status !== 2"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.completeProfile' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        nz-popconfirm
        nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmProfile' | translate}}"
        nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
        nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
        (nzOnConfirm)="confirmProfile(liquidationId)"
        *ngIf="(status === 4)"
        [nzDisabled]="status !== 4"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.confirmProfile' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        *ngIf="(status === 4)"
        nz-popconfirm
        nzPopconfirmTitle="{{'partnership.pns-contract.action.returnProfile' | translate}}"
        nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
        nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
        (nzOnConfirm)="onReject(liquidationId, status)"
        [nzDisabled]="status !== 4"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.returnProfile' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        nz-popconfirm
        nzPopconfirmTitle="{{'partnership.pns-contract.action.completeLiquidation' | translate}}"
        nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
        nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
        (nzOnConfirm)="onComplete(liquidationId, status)"
        *ngIf="(status === 5)"
        [nzDisabled]="status !== 5"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
          <span>{{'partnership.pns-contract.label.completeLiquidation' | translate}}</span>
        </div>
      </em>
      <em
        nz-button
        nz-menu-item
        class="btnItem"
        nz-popconfirm
        nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
        nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
        nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
        (nzOnConfirm)="onDeleteClick(liquidationId)"
        [nzDisabled]="!objFunction?.delete || status === 4"
      >
        <div class="menu__item">
          <span nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></span>
          <span>{{'partnership.pns-contract.label.delete' | translate}}</span>
        </div>
      </em>
    </ul>
  </nz-dropdown-menu>
</ng-template>
<!--End: Hành động-->

<ng-template #selectTmpl let-id='liquidationId' let-status='status'>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckChange($event, id)'
    [nzChecked]='listLiquidationId.indexOf(id) > -1'
    [nzDisabled]='status !== 1'
  >
  </label>
</ng-template>

<ng-template #selectHeaderTmpl>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckAll($event)'
    [(nzChecked)]='checkAll[pagination.pageNumber]'
    [nzDisabled]='checkDisabledAll()'>
  </label>

</ng-template>


<!-- Trạng thái -->
<ng-template #statusTmpl let-status='status'>
  <ng-container *ngFor='let item of constant.CONTRACT_LIQUIDATION_STATUS'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}"
            *ngIf='status?.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>
<!--End: Trạng thái-->

<import-file-liquidation [showContent]='isImportData'
             (onCloseModal)='doCloseImport($event)'
             [urlApiDownloadTemp]='urlApiDownloadTemp'
             [urlApiImport]='urlApiImport'>
</import-file-liquidation>

<import-file-liquidation [showContent]='isImportDataApprove'
             (onCloseModal)='doCloseImportApprove($event)'
             [urlApiDownloadTemp]='urlApiDownloadTempApprove'
             [urlApiImport]='urlApiImportApprove'>
</import-file-liquidation>


<nz-modal
  [(nzVisible)]="isShowModalReject"
  nzTitle="{{'partnership.pns-contract.label.reject' | translate}}"
  (nzOnCancel)="handleCancelReject()"
  (nzOnOk)="handleOkReject()"
>
  <ng-container *nzModalContent>
    <form nz-form [formGroup]="formReject">
      <div class="app-row" nz-row [nzGutter]="[30, 0]">
        <div nz-col nzXs="24" nzLg="24">
          <mb-input-text formControlName="rejectReason" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="500" (mbBlur)="onBlur()"
                         [mbType]="isReject && formReject.controls['rejectReason'].errors ? 'error' : 'default'"
                         [mbShowError]="isReject && formReject.controls['rejectReason'].errors !== null" [mbErrors]="formReject.controls['rejectReason'].errors"
                         [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.rejectReason' | translate }},
              { errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': '500' }}]"
                         mbPlaceholderText="--{{'partnership.pns-contract.label.rejectReason' | translate}}--"
                         mbLabelText="{{'partnership.pns-contract.label.rejectReason' | translate}} <span class='label__required'>*</span>"></mb-input-text>
        </div>
      </div>
    </form>
  </ng-container>
  <ng-container *nzModalFooter>
    <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="handleCancelReject()" mbButtonBgColor="transparent"
               mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="handleOkReject()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.select' | translate}}"></mb-button>
  </ng-container>
</nz-modal>

<nz-modal
  [(nzVisible)]="isShowModalComplete"
  nzTitle="{{'partnership.pns-contract.label.reject' | translate}}"
  (nzOnCancel)="handleCancelComplete()"
  (nzOnOk)="handleOkComplete()"
>
  <ng-container *nzModalContent>
    <form nz-form [formGroup]="formComplete">
      <div class="app-row" nz-row [nzGutter]="[30, 0]">
        <div nz-col nzXs="24" nzLg="24">
          <mb-date-picker formControlName="finishDate"
                          mbLabelText="{{'partnership.pns-contract.label.finishDate' | translate}} <span class='label__required'>*</span>"
                          [mbType]="isComplete && formComplete.controls['finishDate'].errors ? 'error' : 'default'"
                          [mbShowError]="isComplete && formComplete.controls['finishDate'].errors != null"
                          [mbErrors]="formComplete.controls['finishDate'].errors"
                          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.finishDate' | translate }}]"
                          mbPlaceholderText="{{'partnership.pns-contract.label.finishDate' | translate}}"></mb-date-picker>
        </div>
        <div nz-col nzXs="24" nzLg="24">
          <mb-input-text formControlName="note" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="500"
                         [mbType]="isComplete && formComplete.controls['note'].errors ? 'error' : 'default'"
                         [mbShowError]="isComplete && formComplete.controls['note'].errors != null"
                         [mbErrors]="formComplete.controls['note'].errors"
                         [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.note' | translate }},
              { errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': '500' }}]"
                         mbPlaceholderText="--{{'partnership.pns-contract.label.note' | translate}}--"
                         mbLabelText="{{'partnership.pns-contract.label.note' | translate}}"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="24">
          <mb-upload-file
            mbLabelText="{{'partnership.pns-contract.label.attachFile' | translate}}"
            (fileListChange)='onFileListChange($event)'
            [fileList]="fileAttachList"
            mbTypeUpload='drag'
            [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
            [mbMultiple]='true'
          ></mb-upload-file>
        </div>
      </div>
    </form>
  </ng-container>
  <ng-container *nzModalFooter>
    <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="handleCancelComplete()" mbButtonBgColor="transparent"
               mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="handleOkComplete()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.select' | translate}}"></mb-button>
  </ng-container>
</nz-modal>
